## AgsPasswordStore

AgsPasswordStore — password storage

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_password_store_set_login_name ()
gchar * | ags_password_store_get_login_name ()
void | ags_password_store_set_password ()
gchar * | ags_password_store_get_password ()
gchar * | ags_password_store_encrypt_password ()

## Object Hierarchy

        GInterface
        ╰── AgsPasswordStore

## Includes

    #include <ags/server/security/ags_password_store.h>

## Description

The AgsPasswordStore interface gives you password storage.

## Functions

### ags_password_store_set_login_name ()

    void
    ags_password_store_set_login_name (AgsPasswordStore *password_store,
                                       GObject *security_context,
                                       gchar *user_uuid,
                                       gchar *security_token,
                                       gchar *login_name,
                                       GError **error);

Set login name.

#### Parameters

password_store | the AgsPasswordStore |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
login_name | the login name |
error | the GError |

Since: 3.0.0

### ags_password_store_get_login_name ()

    gchar *
    ags_password_store_get_login_name (AgsPasswordStore *password_store,
                                       GObject *security_context,
                                       gchar *user_uuid,
                                       gchar *security_token,
                                       GError **error);

Get login name.

#### Parameters

password_store | the AgsPasswordStore |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
error | the GError |

#### Returns

the login name.

[transfer full]

Since: 3.0.0

### ags_password_store_set_password ()

    void
    ags_password_store_set_password (AgsPasswordStore *password_store,
                                     GObject *security_context,
                                     gchar *user_uuid,
                                     gchar *security_token,
                                     gchar *password,
                                     GError **error);

Set password.

#### Parameters

password_store | the AgsPasswordStore |
security_context | the AgsSecurityContext |
user_uuid | the user UUID |
security_token | the security token |
password | the password |
error | the GError |

Since: 3.0.0

### ags_password_store_get_password ()

    gchar *
    ags_password_store_get_password (AgsPasswordStore *password_store,
                                     GObject *security_context,
                                     gchar *user_uuid,
                                     gchar *security_token,
                                     GError **error);

Get password.

#### Parameters

password_store | the AgsPasswordStore |
security_context | the AgsSecurityContext |
user_uuid | the user UUID |
security_token | the security token |
error | the GError |

#### Returns

the password.

[transfer full]

Since: 3.0.0

### ags_password_store_encrypt_password ()

    gchar *
    ags_password_store_encrypt_password (AgsPasswordStore *password_store,
                                         gchar *password,
                                         gchar *salt,
                                         GError **error);

Encrypt password.

#### Parameters

password_store | the AgsPasswordStore |
password | the password |
salt | your salt |
error | the GError |

#### Returns

the encrypted bytes.

[transfer full]

Since: 3.0.0